Get Orders
/unified/ecommerce/orders/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The unique identifier for an order
6 supported
The billing address for an order
6 supported
The city of the billing address
The company name of customer
The country of the billing address
The postal code of the billing address
The state/province of the billng address
The first line of billing address
The second line of billing address
The date and time when order was created
6 supported
The currency associated for amount of an order
6 supported
The customer this order is linked to
6 supported
The company name of customer
The emails of customer
3 properties
The email of the customer
The status of email
The type of email
The first name of customer
The unique identifier for customer
The last name of customer
The full name of customer
The phone numbers of customer
2 properties
The number of phone
The type of phone
The discounts for an order
3 supported
The fixed amount of the discount
The code used to apply the discount
The percentage of discount
The exchange rate for an order's transaction when the currency is different from the store's default currency.
2 supported
The fullfillment status for an order. If no clear mapping exists, then raw value is returned.
pendingpartialdeliveredcancelled
4 supported
The line items for an order
5 supported
The name of the line item
The quantity of the line item
The description of the line item
The discounts for line item
3 properties
The fixed amount for discounts
The used for discounts
The percentage of discounts
The id of the line item
The options for line item
3 properties
The unique identifier for options
The name for options
The value for options
The product id of the line item
The sku of the line item
The tax amount of the line item
The tax rate of the line item
The total amount of the line item
The unit price of the line item
The variant id of the line item
The note for an order
6 supported
The order number for an order
5 supported
The payment method used for this order
3 supported
The payment status for an order. If no clear mapping exists, then raw value is returned.
pendingauthorizedpaidpartialrefundedvoidedcancelledunknown
5 supported
Raw data returned from the remote API call.
The shipping address for an order
5 supported
The city of the shipping address
The company name of customer
The country of the shipping address
The postal code of the shipping address
The state/province of the shipping address
The first line of shipping address
The second line of shipping address
The shipping cost for an order
4 supported
The shipping methods that are associated with the Order.
The status for an order. If no clear mapping exists, then raw value is returned.
activecompletedcancelledarchivedpending
3 supported
The sub-total amount for an order
5 supported
The total amount for an order
6 supported
The total discount for an order
5 supported
The total tax for an order
6 supported
The tracking details for an order
1 supported
The tracking number of shipment
The name of carrier handling the shipment
The date and time of last parcel update
The url of tracking page
The type of the order
2 supported
The date and time when order was updated
6 supported
curl -X GET 'https://api.truto.one/unified/ecommerce/orders/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/ecommerce/orders/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ecommerce/orders/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.get(
'ecommerce',
'orders',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.get(
"ecommerce",
"orders",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())